Subject: [dispatch] Requesting DISPATCH of JSContact

From: "Bron Gondwana" <[email-masked]>
Date: Tue, 12 Feb 2019 04:22:47 -0500

Hi All,

As work concludes on https://tools.ietf.org/html/draft-ietf-calext-jscalendar-11 there is interest in doing the same thing with a format for contacts.

The JSCalendar work grew out of the JMAP specification at https://jmap.io/spec-calendars.html - there was interest in producing a standalone format which was JSON-native rather the RFC7265's quite mechanical translation of iCalendar, which is confusing and unfamiliar to programmers used to working with JSON data.

Likewise, JMAP Contacts contains an early attempt at translating VCARD into an easily understood JSON format. The shape of it is defined at https://jmap.io/spec-contacts.html - though I expect it would undergo significant revision before submission for publication. We are aware of both RFC6350 and RFC7095 and would both use them as a guideline and define mappings between them and a new JSON-first format.

I have already spoken to the ART ADs about this, and they agree that dispatch is the correct venue to discuss this proposal. The JMAP working group could take it on, but has been mostly focused on the protocols around the formats rather than that formats itself (other than mail). The CALEXT working group has would be a potential place, if it was to recharter and increase scope to both contacts and calendars (since they seem to travel together in many places due to the use of DAV for both). Or maybe something else.

I'm also aware of work within ISO to define address formats and structured name formats which are less western-centric than the existing VCARD 'N' and 'ADR' structured fields. This format would try to remain backwards compatible with those fields while having a defined way to express the new formats.

I have asked that the existing JMAP work be put into an initial draft so we have a baseline in IETF style, knowing full well that it is likely to change significantly.

Cheers,

Bron.

--
 Bron Gondwana, CEO, FastMail Pty Ltd
 [email-masked]

---

From: Brian Rosen <[email-masked]>
Date: Tue, 12 Feb 2019 11:04:42 -0500

I am very much in favor of this work, I will participate, and have an immediate “customer”: in NENA, the North American Emergency Number Association (emergency call/9-1-1/1-1-2), we’re converting all our data structures to json.  We make extensive use of xCards and need a good json equivalent.

Brian

> On Feb 12, 2019, at 4:22 AM, Bron Gondwana <[email-masked]> wrote:
> 
> Hi All,
> 
> As work concludes on https://tools.ietf.org/html/draft-ietf-calext-jscalendar-11 <https://tools.ietf.org/html/draft-ietf-calext-jscalendar-11> there is interest in doing the same thing with a format for contacts.
> 
> The JSCalendar work grew out of the JMAP specification at https://jmap.io/spec-calendars.html <https://jmap..io/spec-calendars.html> - there was interest in producing a standalone format which was JSON-native rather the RFC7265's quite mechanical translation of iCalendar, which is confusing and unfamiliar to programmers used to working with JSON data.
> 
> Likewise, JMAP Contacts contains an early attempt at translating VCARD into an easily understood JSON format.  The shape of it is defined at https://jmap.io/spec-contacts.html <https://jmap.io/spec-contacts.html> - though I expect it would undergo significant revision before submission for publication.   We are aware of both RFC6350 and RFC7095 and would both use them as a guideline and define mappings between them and a new JSON-first format.
> 
>   [email-masked] <mailto:[email-masked]>
> 
> 
> _______________________________________________
> dispatch mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/dispatch <https://www.ietf.org/mailman/listinfo/dispatch>

---

From: "Robert Stepanek" <[email-masked]>
Date: Thu, 28 Feb 2019 09:08:47 -0500

Hi All,

On Tue, Feb 12, 2019, at 10:23 AM, Bron Gondwana wrote:
> [...]

I have just submitted https://datatracker.ietf.org/doc/draft-stepanek-jscontact/ based on our existing JMAP work. I look forward to your feedback.

Cheers,
Robert